%global packname  roxygen2
%global rlibdir  %{_libdir}/R/library

# Dependency loop.
%global with_suggests 0

Name:             R-%{packname}
Version:          6.0.1
Release:          4%{?dist}
Summary:          In-Line Documentation for R

License:          GPLv2+
URL:              https://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz
Patch0001:        Skip-unavailable-devtools-tests.patch
# Fix tests against latest commonmark.
Patch0002:        https://github.com/klutometis/roxygen/pull/811.patch

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-stringr >= 0.5, R-stringi, R-brew, R-digest, R-methods, R-Rcpp >= 0.11.0, R-R6, R-desc, R-commonmark, R-xml2, R-utils
# Suggests:  R-testthat >= 0.8.0, R-knitr, R-devtools, R-rmarkdown, R-covr
# LinkingTo:
# Enhances:

Requires:         R-stringr >= 0.5
Requires:         R-stringi
Requires:         R-brew
Requires:         R-digest
Requires:         R-methods
Requires:         R-Rcpp >= 0.11.0
Requires:         R-R6
Requires:         R-desc
Requires:         R-commonmark
Requires:         R-xml2
Requires:         R-utils
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-stringr >= 0.5
BuildRequires:    R-stringi
BuildRequires:    R-brew
BuildRequires:    R-digest
BuildRequires:    R-methods
BuildRequires:    R-Rcpp-devel >= 0.11.0
BuildRequires:    R-R6
BuildRequires:    R-desc
BuildRequires:    R-commonmark
BuildRequires:    R-xml2
BuildRequires:    R-utils
BuildRequires:    R-testthat >= 0.8.0
BuildRequires:    R-knitr
BuildRequires:    R-rmarkdown
%if %{with_suggests}
BuildRequires:    R-devtools
%endif

%description
Generate your Rd documentation, 'NAMESPACE' file, and collation field using
specially formatted comments. Writing documentation in-line with code makes it
easier to keep your documentation up-to-date as your requirements change.
'Roxygen2' is inspired by the 'Doxygen' system for C++.


%prep
%setup -q -c -n %{packname}

pushd %{packname}
%patch0001 -p1
%patch0002 -p1

# Don't need coverage; it's not packaged either.
sed -i 's/, covr//g' DESCRIPTION
popd


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%if %{with_suggests}
%{_bindir}/R CMD check %{packname}
%else
_R_CHECK_FORCE_SUGGESTS_=0 %{_bindir}/R CMD check %{packname}
%endif


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.md
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%dir %{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/libs/%{packname}.so


%changelog
* Sun Feb 24 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 6.0.1-4
- Backport patch to fix tests with new commonmark

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 6.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed May 30 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 6.0.1-2
- Rebuild for R 3.5.0

* Sun May 06 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 6.0.1-1
- initial package for Fedora
